#!/bin/bash
tmpScripts="./tmpScripts"
#location="EU";  resolution="0.50"
#location="GHA"; resolution="0.50"
location="GHA"; resolution="0.75"

mkdir -p $tmpScripts

for iInitMonth in $(seq -f "%02g" 1 12); do
  echo "leadMonth: $iInitMonth"
  sed -e "s|<initMonth>|$iInitMonth|g" \
      -e "s|<location>|$location|g" \
      -e "s|<resolution>|$resolution|g" \
      jobScriptReorder_combYears_combMembers_sepLeadmonths > $tmpScripts"/jobScriptReorder_combYears_combMembers_sepLeadmonths_"$location"_"$resolution"deg_initMonth"$iInitMonth
  sed -e "s|submitscript <- FALSE|submitscript <- TRUE|g" \
      -e "s|initMonths   <- c(X:X)|initMonths   <- c($iInitMonth:$iInitMonth)|g" \
      -e "s|locName      <- 'X'|locName      <- '$location'|g" \
      -e "s|resolution   <- 'X'|resolution   <- '$resolution'|g" \
      doReorder_combYears_combMembers_sepLeadmonths.R > $tmpScripts"/doReorder_combYears_combMembers_sepLeadmonths_"$location"_"$resolution"deg_initMonth"$iInitMonth".R"
  sbatch "$tmpScripts/jobScriptReorder_combYears_combMembers_sepLeadmonths_"$location"_"$resolution"deg_initMonth"$iInitMonth
done
