#!/bin/bash
tmpScripts="./tmpScripts"
#location="GHA"
location="EU"
mkdir -p $tmpScripts

for iInitMonth in $(seq -f "%02g" 1 12); do
  echo "leadMonth: $iInitMonth"
  sed -e "s|<initMonth>|$iInitMonth|g" \
      -e "s|<location>|$location|g" \
      jobScriptNetcdfCombine > $tmpScripts"/jobScriptNetcdfCombine_"$location"_initMonth"$iInitMonth
  sed -e "s|submitscript <- FALSE|submitscript <- TRUE|g" \
      -e "s|initMonths  <- c(X:X)|initMonths  <- c($iInitMonth:$iInitMonth)|g" \
      -e "s|locName    <- 'X'|locName    <- '$location'|g" \
      doNetcdfCombine.R > $tmpScripts"/doNetcdfCombine_"$location"_initMonth"$iInitMonth".R"
  sbatch "$tmpScripts/jobScriptNetcdfCombine_"$location"_initMonth"$iInitMonth
done
