#!/bin/bash
tmpScripts="./tmpScripts"
#location="GHA"
location="EU"
mkdir -p $tmpScripts

for iCurrMonth in $(seq -f "%1g" 1 12); do
  echo "leadMonth: $iCurrMonth"
  sed -e "s|<currMonth>|$iCurrMonth|g" \
      -e "s|<location>|$location|g" \
      jobScriptRename > $tmpScripts"/jobScriptRename_"$location"_currMonth"$iCurrMonth
  sed -e "s|submitscript <- FALSE|submitscript <- TRUE|g" \
      -e "s|currMonths  <- c(X:X)|currMonths  <- c($iCurrMonth:$iCurrMonth)|g" \
      -e "s|locName    <- 'X'|locName    <- '$location'|g" \
      rename.R > $tmpScripts"/rename_"$location"_currMonth"$iCurrMonth".R"
  sbatch "$tmpScripts/jobScriptRename_"$location"_currMonth"$iCurrMonth
done
